using System;

namespace ElephantExercise
{
    class Program
    {
        static void Main(string[] args)
        {
            Elephant laura = new Elephant() { Name = "Laura", EarSize = 80 };
            Elephant lucek = new Elephant() { Name = "Lucek", EarSize = 100 };


            Console.WriteLine("Wciśnij 1 (Lucek), 2 (Laura), 3 (przestawienie):");
            while (true)
            {
                char input = Console.ReadKey(true).KeyChar;
                Console.WriteLine("Wcisnąłeś " + input + ".");
                if (input == '1')
                {
                    Console.WriteLine("Wywołanie lucek.WhoAmI().");
                    lucek.WhoAmI();
                }
                else if (input == '2')
                {
                    Console.WriteLine("Wywołanie laura.WhoAmI().");
                    laura.WhoAmI();
                }
                else if (input == '3')
                {
                    Elephant holder;
                    holder = lucek;
                    lucek = laura;
                    laura = holder;
                    Console.WriteLine("Referencje zostały przestawione.");
                }
                else if (input == '4')
                {
                    lucek = laura;
                    lucek.EarSize = 4321;
                    lucek.WhoAmI();
                }
                else if (input == '5')
                {
                    laura.SpeakTo(lucek, "Cześć, Lucku!");
                }
                else return;
                Console.WriteLine();
            }
        }
    }
}
